# std::__future_base::_Result_base Struct Reference

Base class for results. More...

Inheritance diagram for std::__future_base::_Result_base:
[legend]

List of all members.

## Public Member Functions

- _Result_base (const _Result_base &)
- virtual void _M_destroy ()=0
- _Result_base & operator= (const _Result_base &)

## Public Attributes

- exception_ptr _M_error

## Detailed Description

Base class for results.

Definition at line 139 of file future.

The documentation for this struct was generated from the following file:

- future